"""
    GESTIKK

    gestikk, a mouse gesture recognition application
    Copyright (C) 2007-2008 Friedrich 'fred.reichbier' Weber (2007-10-08)

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
"""


""" This script !!removes!! all unnecessary files for release """

import sys
import os

if len(sys.argv) != 2 or sys.argv[1] != "do":
    print "This script !!removes!! all unnecessary files for release"
    print "If you really want to do that, type 'python del_files.py do'!"
    print
    print "works currently only with Linux"
    sys.exit(1)

# do it
cwd = os.getcwd()
print "My cwd is %s - right? " % cwd
if raw_input("(yes/no): ") != "yes":
    print "Exiting ..."
    sys.exit(1)

files = ["fill_constants.py", "generate_pot.sh",
        "gestikk.pot", "paint_gesture.py", "del_files.py"]

for f in files:
    if os.path.exists(f):
        print "Removing %s ..." % f
        os.unlink(os.path.join(cwd, f))
print "Removing all *.pyc ..."
os.system("cd %s; rm *.pyc" % cwd)
print "Done!"
