"""
    GESTIKK
    Version %%VERSION%%

    Gestikk, a mouse gesture recognition application
    Copyright (C) 2007-2008 Friedrich 'fred.reichbier' Weber (2007-10-08)

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
"""

"""
    This is only a processing tool for making the gestikk release
"""
import os, glob

VERSION = '0.6'
FILES = glob.glob('*.py') + glob.glob('*/*.py')

def get_contents(filename):
    f = file(filename, 'r')
    content = f.read()
    f.close()
    return content

credits = get_contents('./TRANSLATORS')
for filename in FILES:
    content = get_contents(filename)
    # version
    content = content.replace('%%VERSION%%', VERSION)
    # credits
    content = content.replace('%%TRANSLATORS%%', credits)
    fil = file(filename, 'w')
    fil.write(content)
    fil.close()
