# -*- coding: utf-8 -*-
"""
    gestikk, version 0.7

    gestikk provides mouse gestures for you.
    Copyright (C) 2007-2008 Friedrich Weber, Jonas Haag

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
"""

import os
from ExtendedConfigParser import SchemaConfigParser
import files

SCHEMA = {'Preferences': {
                'tolerance': int
                }
            }

class Configuration(SchemaConfigParser):
    def __init__(self):
        SchemaConfigParser.__init__(self, SCHEMA)

        config_file = files.get_file('gestikk.conf', 'configuration')
        if not os.path.exists(os.path.dirname(config_file)):
            os.path.makedirs(os.path.dirname(config_file))
        
        self.read(config_file)
