# -*- coding: utf-8 -*-
"""
    gestikk, version 0.7

    gestikk provides mouse gestures for you.
    Copyright (C) 2007-2008 Friedrich Weber, Jonas Haag

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
"""
"""
    This module only represents an ugly feature that is only there because I want
    to celebrate N3XONIC (who created/creates gestikk artwork) and thank him for
    doing this job.
    Therefore, this module is of no other use at all.
"""

import pygtk
pygtk.require("2.0")
import gtk
import thread
import time # TODO

class Splash:
    def __init__(self):
        thread.start_new_thread(self.show_splash, ())
        time.sleep(2)
        # now we could do other things in this time if we want.

    def splash_to_pixbuf(self, splash_file):
        return gtk.gdk.pixbuf_new_from_file(splash_file)
        # get that splash_file as a pixbuf

    def show_splash(self):
        gtk.gdk.threads_enter()
        # Hello -
        splash_file = "../media/gestikk-art-full/PNG/gestikk-splash2.png" # TODO

        splash_window = gtk.Window(gtk.WINDOW_POPUP)
        splash_window.set_position(gtk.WIN_POS_CENTER) # middle! Dies ist ein Befähl! ):=/
        splash_window.set_opacity(0.95)
        # This has no sence but I'll do anyway.
        splash_image = gtk.Image()
        splash_image.set_from_pixbuf(self.splash_to_pixbuf(splash_file))

        splash_window.add(splash_image)
        splash_window.show_all()

        while gtk.events_pending ():
            gtk.main_iteration ()
        # while other things are going around with gestikk (specially, with GTK), we'll keep this screen.
        splash_window.destroy()
        # ...and now we don't need it anymore :)

        gtk.gdk.threads_leave()
        # - Goodbye

show_splash = True #TODO

if show_splash:
    gtk.gdk.threads_init()
    splash = Splash()
    gtk.main()